Angular Bootstrap Popovers

Angular Popovers - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Here is some documentation and examples for adding Angular Bootstrap popovers, like those found in iOS, to any element on your site.


Example

        
            
          <button type="button" mdbBtn color="primary" class="waves-light"
            mdbPopover="And here some amazing content. It's very engaging. Right?"
            placement="right"
            mdbPopoverHeader="Popover on right" mdbWavesEffect
          >
            Popover on right
          </button>
        
        
    

Four directions

Four options are available: top, right, bottom, and left aligned.

        
            
          <button type="button" mdbBtn color="default" class="waves-light"
            mdbPopover="And here some amazing content. It's very engaging. Right?"
            placement="right"
            mdbPopoverHeader="Popover on right" mdbWavesEffect
          >
            Popover on right
          </button>
          <button type="button" mdbBtn color="default" class="waves-light"
            mdbPopover="And here some amazing content. It's very engaging. Right?"
            placement="bottom"
            mdbPopoverHeader="Popover on bottom" mdbWavesEffect
          >
            Popover on bottom
          </button>
          <button type="button" mdbBtn color="default" class="waves-light"
            mdbPopover="And here some amazing content. It's very engaging. Right?"
            placement="left"
            mdbPopoverHeader="Popover on left" mdbWavesEffect
          >
            Popover on left
          </button>
          <button type="button" mdbBtn color="default" class="waves-light"
            mdbPopover="And here some amazing content. It's very engaging. Right?"
            placement="top"
            mdbPopoverHeader="Popover on top" mdbWavesEffect
          >
            Popover on top
          </button>
        
        
    

Dismiss on next click

You may use the focus trigger to dismiss popovers on the next click that the user makes.

        
            
          <button type="button" mdbBtn color="danger" class="waves-light"
            mdbPopover="And here some amazing content. It's very engaging. Right?"
            placement="right"
            mdbPopoverHeader="Dismissible popover"
            triggers="focus" mdbWavesEffect
          >
            Dismissible popover
          </button>
        
        
    

Dynamic HTML Template

Create a tag, as below, and place [mdbPopover]="popTemplate" inside your <button> tag.

        
            
          <ng-template #popTemplate>Here we go: <div [innerHtml]="html"></div></ng-template>
          <button id="popTemplate" type="button" mdbBtn color="success" mdbPopoverHeader="Dynamic html inside" [mdbPopover]="popTemplate" mdbWavesEffect>
            Show me popover with html
          </button>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'popover-example',
            templateUrl: 'popover.example.html',
          })
          export class PopoverExampleComponent {
            html = '<span class="btn btn-danger waves-light">Your HTML here</span>';
          }
        
        
    

Show and Hide manually

You can use the show() and hide() methods to manually trigger a popover.

This text has an attached popover

        
            
          <span mdbPopover="Hello there! I was triggered manually" #pop="bs-mdbPopover">
            This text has an attached popover
          </span>
          <button type="button" mdbBtn color="success" class="waves-light" (click)="pop.show()" mdbWavesEffect>
            Show
          </button>
           <button type="button" mdbBtn color="warning" class="waves-light" (click)="pop.hide()" mdbWavesEffect>
            Hide
          </button>
        
        
    

Popover with image

This simple example shows how to place an image within an Angular Bootstrap popover. You can define wether you want to launch the popover on hover or on click.

        
            
            <ng-template #hoverImgTemp><div [innerHtml]="hoverImg"></div></ng-template>
            <a mdbBtn color="primary" placement="bottom" [mdbPopover]="hoverImgTemp" mdbWavesEffect triggers="hover">Hover me</a>
            <ng-template #clickImgTemp><div [innerHtml]="clickImg"></div></ng-template>
            <a mdbBtn color="indigo" placement="bottom" [mdbPopover]="clickImgTemp" mdbWavesEffect triggers="click">Click me</a>
            <ng-template #smallHoverImgTemp><div [innerHtml]="smallHoverImg"></div></ng-template>
            <a mdbBtn color="dark-green" placement="bottom" [mdbPopover]="smallHoverImgTemp" mdbWavesEffect triggers="hover">Hover me</a>
            <ng-template #smallClickImgTemp><div [innerHtml]="smallClickImg"></div></ng-template>
            <a mdbBtn color="purple" placement="bottom" [mdbPopover]="smallClickImgTemp" mdbWavesEffect triggers="click">Click me</a>
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'popover-image',
              templateUrl: './popover-image.component.html',
              styleUrls: ['./popover-image.component.scss']
            })
            export class PopoverImageComponent {
              hoverImg: string = '<img src="https://mdbootstrap.com/img/logo/mdb192x192.webp"/>';
              clickImg: string = '<img src="https://mdbootstrap.com/img/Others/documentation/img%20(30)-mini.webp"/>';
              smallHoverImg: string = '<img src="//placehold.it/100x50"/>';
              smallClickImg: string = '<img src="//placehold.it/50x50"/>';
            }
          
        
    

Angular Popovers - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of popover directive.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { PopoverModule, WavesModule } from 'ng-uikit-pro-standard'
        
        
    
        
            
          import { PopoverModule, WavesModule } from 'angular-bootstrap-md'
        
        
    

Directives

PopoverDirective

Selector: mdbPopover

Type: PopoverDirective


Inputs

Name Type Default Description Example
container string 'body' A selector specifying the element the popover should be appended to; at the present time only supports "body". container="body"
isOpen boolean false Returns whether or not the popover is currently being shown. isOpen="true"
placement string - Placement of a popover; pick one of the accepted options: top, bottom, left, right. placement="top"
mdbPopover string - The content of your popover. mdbPopover="Popover content"
triggers string 'hover focus' Specifies the events that will be triggered. Supports a space separated list of event names. triggers="hover"
mdbPopoverHeader string - The title of your popover. mdbPopoverHeader="Nice popover"

Events

Name Type Description Example
hidden any Emits an event when the popover is hidden. (hidden)="onHidden()"
shown any Emits an event when the popover is shown. (shown)="onShown()"

Methods

Below methods are available in PopoverDirective

Name Description
show() Opens an element’s popover. This is considered a "manual" triggering of the popover.
hide() Closes an element’s popover. This is considered a "manual" triggering of the popover.
toggle(value: boolean) Toggles an element’s popover. This is considered a “manual” triggering of the popover.

Vue Bootstrap Popovers
Vue Popovers - Bootstrap 4 & Material Design
Note: This documentation is for an older version of Bootstrap (v.4). A
newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for
Bootstrap 5.
Go to docs v.5
Vue Bootstrap popover is a component which displays a box with a content after a click on an element - similar to the tooltip but can contain more content.
Examples
Basic example
Click the buttons below to see tooltips:
<template>
<mdb-container>
<mdb-popover trigger="click" :options="{placement: 'top'}">
<span slot="header">popover on top</span>
<span slot="body">Sed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum.</span>
<mdb-btn slot="reference">
Popover on top
</mdb-btn>
</mdb-popover>
<mdb-popover trigger="click" :options="{placement: 'right'}">
<span slot="header">popover on right</span>
<span slot="body">Sed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum.</span>
<mdb-btn slot="reference">
Popover on right
</mdb-btn>
</mdb-popover>
<mdb-popover trigger="click" :options="{placement: 'bottom'}">
<span slot="header">popover on bottom</span>
<span slot="body">Sed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum.</span>
<mdb-btn slot="reference">
Popover on bottom
</mdb-btn>
</mdb-popover>
<mdb-popover trigger="click" :options="{placement: 'left'}">
<span slot="header">popover on left</span>
<span slot="body">Sed posuere consectetur est at lobortis. Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum.</span>
<mdb-btn slot="reference">
Popover on left
</mdb-btn>
</mdb-popover>
</mdb-container>
</template>
<script>
import { mdbContainer, mdbPopover, mdbBtn } from 'mdbvue';
export default {
name: 'PopoverExample',
components: {
mdbContainer,
mdbPopover,
mdbBtn
}
}
</script>
Vue Popovers - API
In this section you will find advanced information about the Popovers component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.
Import statement
<script>
import {
mdbPopover
} from 'mdbvue';
</script>
API Reference: Properties
| Name | Type | Default | Description | Example |
|---|---|---|---|---|
delayOnMouseOut |
Number | 10 |
Setting the animation delay | <mdb-popover :delayOnMouseOut="20"> |
disabled |
Boolean | |
Disables popover | <mdb-popover disabled> |
options |
Object | {placement: 'top'} |
Determines popover options | <mdb-popover :options="{placement:
'top'}"> |
trigger |
String | 'click' |
Determines start event. | <mdb-popover trigger="click"> |
maxWidth |
Number | 276 |
Sets maximum width of the popover | <mdb-popover :maxWidth="90"> |
API Reference: slots
| Name | Description | Example |
|---|---|---|
reference |
This is a target, upon / beside / below of which our hero will emerge |
<mdb-btn
|
header |
Gets inserted into a div.popover-header |
<span
|
body |
Helps to build popover's body |
<span
|
Image popover
An example of having a picture instead of text inside the popover body.
<template>
<mdb-container>
<mdb-popover trigger="hover" :options="{placement: 'bottom'}">
<img src="https://mdbootstrap.com/img/logo/mdb192x192.webp" slot="body" />
<mdb-btn slot="reference" color="primary">
Hover over me
</mdb-btn>
</mdb-popover>
<mdb-popover trigger="click" :options="{placement: 'bottom'}">
<img src="https://mdbootstrap.com/img/Others/documentation/img%20(30)-mini.webp" slot="body" />
<mdb-btn slot="reference" color="indigo">
Click me
</mdb-btn>
</mdb-popover>
<mdb-popover trigger="hover" :options="{placement: 'bottom'}">
<img src="//placehold.it/100x50" slot="body" />
<mdb-btn slot="reference" color="dark-green">
Hover over me
</mdb-btn>
</mdb-popover>
<mdb-popover trigger="click" :options="{placement: 'bottom'}">
<img src="//placehold.it/100x50g" slot="body" />
<mdb-btn slot="reference" color="purple">
Click me
</mdb-btn>
</mdb-popover>
</mdb-container>
</template>
<script>
import {
mdbContainer,
mdbPopover,
mdbBtn
} from 'mdbvue';
export default {
name: 'ImagePopoverExample',
components: {
mdbContainer,
mdbPopover,
mdbBtn
}
}
</script>

React Bootstrap Popovers

React Popovers - Bootstrap 4 & Material Design

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a 50% discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
get 50% discount on MDB5 PRO

React Bootstrap popover is a component which displays a box with a content after a click on an element - similar to the tooltip but can contain more content.

Basic example

Click the buttons below to see tooltips:

        
            
            import React from "react";
            import { MDBPopover, MDBPopoverBody, MDBPopoverHeader, MDBBtn, MDBContainer } from "mdbreact";
  
            const PopoverPage = () => {
              return (
                <MDBContainer>
                  <div style={{ display: "flex" }} className="m-5 p-5">
                    <MDBPopover
                      placement="top"
                      popover
                      clickable
                      id="popper1"
                    >
                      <MDBBtn>popover on top</MDBBtn>
                      <div>
                        <MDBPopoverHeader>popover on top</MDBPopoverHeader>
                        <MDBPopoverBody>
                          Sed posuere consectetur est at lobortis. Aenean eu leo quam.
                          Pellentesque ornare sem lacinia quam venenatis vestibulum.
                        </MDBPopoverBody>
                      </div>
                    </MDBPopover>
  
                    <MDBPopover
                      placement="right"
                      popover
                      clickable
                      id="popper2"
                    >
                      <MDBBtn>popover on right</MDBBtn>
                      <div>
                        <MDBPopoverHeader>popover on right</MDBPopoverHeader>
                        <MDBPopoverBody>
                          Sed posuere consectetur est at lobortis. Aenean eu leo quam.
                          Pellentesque ornare sem lacinia quam venenatis vestibulum.
                        </MDBPopoverBody>
                      </div>
                    </MDBPopover>
  
                    <MDBPopover
                      placement="bottom"
                      popover
                      clickable
                      id="popper3"
                    >
                      <MDBBtn>popover on bottom</MDBBtn>
                      <div>
                        <MDBPopoverHeader>popover on bottom</MDBPopoverHeader>
                        <MDBPopoverBody>
                          Sed posuere consectetur est at lobortis. Aenean eu leo quam.
                          Pellentesque ornare sem lacinia quam venenatis vestibulum.
                        </MDBPopoverBody>
                      </div>
                    </MDBPopover>
  
                    <MDBPopover
                      placement="left"
                      popover
                      clickable
                      id="popper4"
                    >
                      <MDBBtn>popover on left</MDBBtn>
                      <div>
                        <MDBPopoverHeader>popover on left</MDBPopoverHeader>
                        <MDBPopoverBody>
                          Sed posuere consectetur est at lobortis. Aenean eu leo quam.
                          Pellentesque ornare sem lacinia quam venenatis vestibulum.
                        </MDBPopoverBody>
                      </div>
                    </MDBPopover>
                  </div>
                </MDBContainer>
              );
            }
  
            export default PopoverPage;
   
        
    

Popover with image

        
            
          import React from "react";
          import { MDBPopover, MDBPopoverBody, MDBBtn, MDBContainer } from "mdbreact";
  
          const PopoverPage = () => {
            return (
              <MDBContainer>
                <h4 className="mt-5">Popover with image</h4>
                <div className="d-flex justify-content-center">
                  <MDBPopover
                    placement="top"
                    popover
                    clickable
                    id="popper5"
                  >
                    <MDBBtn color="purple">click me</MDBBtn>
                    <div>
                      <MDBPopoverBody>
                        <img src="https://mdbootstrap.com/img/logo/mdb192x192.webp" alt="" />
                      </MDBPopoverBody>
                    </div>
                  </MDBPopover>
  
                  <MDBPopover
                    placement="bottom"
                    popover
                    clickable
                    id="popper6"
                  >
                    <MDBBtn color="purple">click me</MDBBtn>
                    <div>
                      <MDBPopoverBody>
                        <img src="https://mdbootstrap.com/img/Others/documentation/img%20(30)-mini.webp" alt="" />
                      </MDBPopoverBody>
                    </div>
                  </MDBPopover>
  
                  <MDBPopover
                    placement="left"
                    popover
                    clickable
                  >
                    <MDBBtn color="purple">click me</MDBBtn>
                    <div>
                      <MDBPopoverBody>
                        <img src="//placehold.it/100x50" alt="" />
                      </MDBPopoverBody>
                    </div>
                  </MDBPopover>
  
                  <MDBPopover
                    placement="right"
                    popover
                    clickable
                    id="popper7"
                  >
                    <MDBBtn color="purple">click me</MDBBtn>
                    <div>
                      <MDBPopoverBody>
                        <img src="//placehold.it/50x50" alt="" />
                      </MDBPopoverBody>
                    </div>
                  </MDBPopover>
                </div>
              </MDBContainer>
            );
          }
  
          export default PopoverPage;
          
        
    

React Popovers - API

In this section you will find advanced information about the Popovers component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
            import { MDBPopover } from 'mdbreact';
        
            OR:
        
            import { MDBPopper } from 'mdbreact';
          
        
    

Usage

Use MDBPopover as a wrapper. First child is the component which will be visible in the DOM and aimed by the tooltip; and the second one is your tooltip content. If you use html element as the first argument, remember to add domElement property to the MDBPopover.

        
            
          <MDBPopover
            placement="left"
          >
              <MDBBtn>Tooltip on left</MDBBtn>
              <div>
                  Tooltip on left
              </div>
          </MDBPopover>
        
        
    
        
            
                <MDBPopover
                  placement="left"
                  domElement
              >
                  <span>Tooltip on left</span>
                  <span>
                      Tooltip on left
                  </span>
              </MDBPopover>
        
        
    

API Reference: MDBPopper Properties

Name Type Default Description Example
clickable Boolean false If set to true - tooltip is controlled by mouse click. <MDBPopper clickable ... />
domElement Boolean false Use this prop, when tooltip component doesn't accept innerRef property (HTML elements). <MDBPopper domElement ... />
modifiers Object Property used by Popper.js to customize popper element; find more here (click) <MDBPopper modifiers={{ preventOverflow: { enabled: false } }} ... />
id String popper Property used to distinguish tooltip/popover elements from eachother for outside click recognition. <MDBPopper id="greatPopover" ... />
isVisible Boolean false Sets the default state of the tooltip, or use it like the value in controlled inputs - combined with onChange method. <MDBPopper isVisible={this.state.isVisible} onChange={this.setVisibility} ... />
placement String top Determines tooltip placement. Choose from left | right | top | bottom <MDBPopper placement='top' ... />
popover Boolean false Converts tooltip styling to popover styling. <MDBPopper popover ... />
style Object { display: 'inline-block' } Applies custom style rules for the element which wraps tooltip aimed component. <MDBPopper style={{ display: "block" }} ... />
tag String div Sets custom tag for the element which wraps tooltip aimed component. <MDBPopper tag="span" ... />

API Reference: MDBPopper Methods

Name Parameters Description Example
onChange This event fires immediately when the popper state changes; return false/true. <MDBPopper onChange={this.updatePopoverState} />

API Reference: MDBPopoverBody Properties

The table below shows the configuration options of the MDBPopoverBody component.

Name Type Default Description Example
className String Adds custom class to the MDBPopoverBody component <MDBPopoverBody className="myCustomClass" ... />
tag String Defines custom tag of the MDBPopoverBody component <MDBPopoverBody tag="div" ... />

API Reference: MDBPopoverHeader Properties

The table below shows the configuration options of the MDBPopoverHeader component.

Name Type Default Description Example
className String Adds custom class to the MDBPopoverHeader component <MDBPopoverHeader className="myCustomClass" ... />
tag String Defines custom tag of the MDBPopoverHeader component <MDBPopoverHeader tag="p" ... />